← OBPdynamic-entity Delete crop by id DELETE /obp/dynamic-entity/crop/CROP_ID OBPv4.0.0-dynamicEntity_deletecrop_ Roles: CanDeleteDynamicEntityRecord_crop(per bank) _CropDynamic-EntityDynamic Delete crop by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"crop" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "crop_id": "crop_01JS0347FKH", "crop_type": "winter_wheat", "local_name": "Winterweizen", "commodity_category": "cereals", "lca_emission_factor": 0.52 } Example success response { "crop": { "crop_id": "crop_01JS0347FKH", "crop_type": "winter_wheat", "local_name": "Winterweizen", "commodity_category": "cereals", "lca_emission_factor": 0.52 } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.